login screen behaving oddly & missing panel

Bug #703658 reported by pip
28
This bug affects 4 people
Affects Status Importance Assigned to Milestone
LXDE
Unknown
Unknown
lubuntu-default-settings (Ubuntu)
Medium
Unassigned
lxdm (Ubuntu)
Low
Julien Lavergne

Bug Description

Binary package hint: lxdm

Lubuntu 11.04 natty Narwhal. LXDM 0.3.0-0ubuntu1

I expected to get the usual login screen. but I got:-

The panel at the bottom of the login screen has no text for session etc.

No shutdown/reboot options visible, but a resize icon (triangular 'folded corner') type of thing is in its place, which does allow resizing. Some clicking in the area will bring up shutdown & reboot options.

Date & time in top right of screen flashing.

This has occured on 2 machines after updates.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: lxdm 0.3.0-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.37-12.26-generic 2.6.37
Uname: Linux 2.6.37-12-generic i686
Architecture: i386
Date: Sun Jan 16 19:26:20 2011
InstallationMedia: Lubuntu 10.10 "Maverick Meerkat" - i386 (20101010)
ProcEnviron:
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
SourcePackage: lxdm

Revision history for this message
pip (verymadpip) wrote :
Revision history for this message
Julien Lavergne (gilir) wrote :

Confirmed, but I only see it with the Lubuntu theme. The LXDE standart theme doesn't seems to be affected.

Revision history for this message
Benny Hult (bioterror) wrote :

Flickering LXDM fixed, solution comes here:
sudo nano /etc/lxdm/default.conf

Change

[display]
gtk_theme=ClearLooks
bg=/usr/share/lubuntu/wallpapers/lubuntu-default-wallpaper.png
bottom_pane=1
lang=1
theme=Lubuntu

to

[display]
gtk_theme=ClearLooks
#bg=/usr/share/lubuntu/wallpapers/lubuntu-default-wallpaper.png
bottom_pane=1
lang=1
theme=Lubuntu

In short: comment background off.

Revision history for this message
pip (verymadpip) wrote : Re: [Bug 703658] Re: login screen behaving oddly & missing panel

That's done the trick.

Thanks Benny :)

Pip

On Sat, 2011-01-29 at 20:49 +0000, Benny Hult wrote:
> Flickering LXDM fixed, solution comes here:
> sudo nano /etc/lxdm/default.conf
>
> Change
>
> [display]
> gtk_theme=ClearLooks
> bg=/usr/share/lubuntu/wallpapers/lubuntu-default-wallpaper.png
> bottom_pane=1
> lang=1
> theme=Lubuntu
>
> to
>
>
> [display]
> gtk_theme=ClearLooks
> #bg=/usr/share/lubuntu/wallpapers/lubuntu-default-wallpaper.png
> bottom_pane=1
> lang=1
> theme=Lubuntu
>
> In short: comment background off.
>

Julien Lavergne (gilir)
affects: lubuntu-artwork (Ubuntu) → lubuntu-default-settings (Ubuntu)
Changed in lubuntu-default-settings (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lubuntu-default-settings - 0.17

---------------
lubuntu-default-settings (0.17) natty; urgency=low

  [ Julien Lavergne ]
  * etc/xdg/lubuntu/menus/lxde-applications.menu:
   - Add a specific menu structure for lubuntu session.
  * etc/xdg/lubuntu/lxdm/lxdm.conf
   - Remove background option, it's already defined by the theme, and can break
     it sometimes (LP: #703658).

  [ Jonathan Marsden ]
  * etc/xdg/lubuntu/menus/lxde-applications.menu:
   - Update DTD to use standards.freedesktop.org
   - Move system-wide admin tools to System -> Administration menu
     (LP: #650432)
 -- Julien Lavergne <email address hidden> Mon, 21 Feb 2011 01:51:14 +0100

Changed in lubuntu-default-settings (Ubuntu):
status: Triaged → Fix Released
Revision history for this message
Julien Lavergne (gilir) wrote :

Forwarded upstream.

Changed in lxdm (Ubuntu):
status: New → Triaged
importance: Undecided → Low
Julien Lavergne (gilir)
Changed in lxdm (Ubuntu):
status: Triaged → In Progress
assignee: nobody → Julien Lavergne (gilir)
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lxdm - 0.3.0-0ubuntu5

---------------
lxdm (0.3.0-0ubuntu5) natty; urgency=low

  * debian/patches/90_simple_expose.patch
   - From upstream, rework the expose-event callback which have a high CPU
     usage (LP: #733912)
  * debian/patches/20_disable_resize_grip.patch
   - Disable resize grip which break the background drawing (LP: #703658)
 -- Julien Lavergne <email address hidden> Sun, 20 Mar 2011 00:31:24 +0100

Changed in lxdm (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.